Last Comment Bug 670095 - gfxWindowsPlatform.cpp fails to compile on mingw
: gfxWindowsPlatform.cpp fails to compile on mingw
Status: RESOLVED FIXED
[inbound]
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla10
Assigned To: Jacek Caban
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-08 02:21 PDT by Jacek Caban
Modified: 2011-11-08 07:07 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (1.11 KB, patch)
2011-07-08 02:21 PDT, Jacek Caban
cjones.bugs: review+
Details | Diff | Splinter Review

Description Jacek Caban 2011-07-08 02:21:46 PDT
Created attachment 544756 [details] [diff] [review]
fix v1.0

It uses __in and __out macros, not supported on mingw due to conflicts with GCC-provided headers.
Comment 1 Jacek Caban 2011-10-17 04:04:30 PDT
Bas, ping. It's a similar patch to bug 670093, but for other part of code.
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-11-07 20:45:31 PST
Comment on attachment 544756 [details] [diff] [review]
fix v1.0

I'm not 100% sure about the __in/__out stuff, but r=me based on bug 670093.
Comment 3 Jacek Caban 2011-11-08 01:38:06 PST
Thanks for the review, pushed to m-i:

https://hg.mozilla.org/integration/mozilla-inbound/rev/f44967f832f2
Comment 4 Ed Morley [:emorley] 2011-11-08 07:07:15 PST
https://hg.mozilla.org/mozilla-central/rev/f44967f832f2

Note You need to log in before you can comment on or make changes to this bug.